/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/callback.h>


static void no_op() {}
static void no_op(bool, unsigned int) {}
static void no_op(Queue *, unsigned int) {}
static void no_op(Queue *) {}
static void no_op(Track *) {}


static struct Callbacks callbacks = {
	.on_play			= no_op,
	.on_pause			= no_op,
	.on_track_loaded		= no_op,
	.on_pause_count_changed		= no_op,

	.on_pq_removed			= no_op,

	.on_queue_track_add		= no_op,
	.on_queue_track_del		= no_op,
	.on_queue_track_changed		= no_op,
};


struct Callbacks *get_callbacks()
{
	return &callbacks;
}
