/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_AUDIO_H
#define OCARINA_AUDIO_H

#include <core/tags.h>
#include <string>

namespace audio
{

	void init(int *, char ***);

	void play();
	void pause();
	void seek_to(long);
	void stop();

	long position();
	long duration();
	std::string position_str();

	void next();
	void prev();
	void load_track(Track *track);
	Track *current_track();

	void pause_after(bool, unsigned int);
	bool pause_enabled();
	unsigned int pause_count();
};

#endif /* OCARINA_AUDIO_H */
