/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CALLBACK_H
#define OCARINA_CALLBACK_H

#include <core/library.h>
#include <core/queue.h>


struct Callbacks {
	/* Audio callbacks */
	void (*on_play)();
	void (*on_pause)();
	void (*on_track_loaded)(Track *);
	void (*on_pause_count_changed)(bool, unsigned int);

	/* Deck callbacks */
	void (*on_pq_removed)(Queue *);

	/* Queue callbacks */
	void (*on_queue_track_add)(Queue *, unsigned int);
	void (*on_queue_track_del)(Queue *, unsigned int);
	void (*on_queue_track_changed)(Queue *, unsigned int);
};


struct Callbacks *get_callbacks();


#endif /* OCARINA_CALLBACK_H */
