/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_DECK_H
#define OCARINA_DECK_H

#include <core/queue.h>
#include <list>


class TempQueue : public Queue
{
public:
	TempQueue();
	TempQueue(bool random);

	void set_flag(queue_flags);
	void unset_flag(queue_flags);

	unsigned int add(Track *);
	void del(Track *);
	void del(unsigned int);

	void sort(sort_t, bool);
};

namespace deck
{

	void init();
	void write();

	Queue *create(bool);
	void destroy(Queue *);
	void move(Queue *, unsigned int);

	unsigned int index(Queue *);
	Queue *get(unsigned int);

	Track *next();
	Track *prev();

	std::list<TempQueue> &get_queues();
	Queue *get_queue();

};

#endif /* OCARINA_DECK_H */
